OpenVDB: LeafIteratorBase< TreeT, RootChildOnIterT > Class Template Reference

OpenVDB 3.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Attributes | List of all members
LeafIteratorBase< TreeT, RootChildOnIterT > Class Template Reference

Base class for tree-traversal iterators over all leaf nodes (but not leaf voxels) More...

`#include <TreeIterator.h>`

## Public Types
typedef RootChildOnIterT | RootIterT
typedef RootIterT::NodeType | RootNodeT
typedef RootIterT::NonConstNodeType | NCRootNodeT
typedef iter::InvertedTree< NCRootNodeT, ROOT_LEVEL >::Type | InvTreeT
typedef boost::mpl::front< InvTreeT >::type | NCLeafNodeT
typedef CopyConstness< RootNodeT, NCLeafNodeT >::Type | LeafNodeT
typedef IterTraits< NCRootNodeT, RootIterT > | RootIterTraits

## Public Member Functions
| LeafIteratorBase ()
| LeafIteratorBase (TreeT &tree)
| LeafIteratorBase (const LeafIteratorBase &other)
LeafIteratorBase & | operator= (const LeafIteratorBase &other)
bool | test () const
| operator bool () const
void | increment (Index n)
| Increment the iterator n times. More...
TreeT * | getTree () const
LeafNodeT * | getLeaf () const
| Return the leaf node to which the iterator is pointing. More...
LeafNodeT & | operator* () const
| Return the leaf node to which the iterator is pointing. More...
LeafNodeT * | operator-> () const
| Return the leaf node to which the iterator is pointing. More...
bool | next ()
| Advance the iterator to the next leaf node. More...
void | increment ()
| Advance the iterator to the next leaf node. More...
LeafIteratorBase & | operator++ ()
| Advance the iterator to the next leaf node. More...

## Static Public Attributes
static const Index | ROOT_LEVEL = RootNodeT::LEVEL
static const Index | LEAF_LEVEL = 0
static const Index | LEAF_PARENT_LEVEL = LEAF_LEVEL + 1

## Detailed Description

### template<typename TreeT, typename RootChildOnIterT>
class openvdb::v3_1_0::tree::LeafIteratorBase< TreeT, RootChildOnIterT >

Base class for tree-traversal iterators over all leaf nodes (but not leaf voxels)

## Member Typedef Documentation

typedef iter::InvertedTree<NCRootNodeT, ROOT_LEVEL>::Type InvTreeT

typedef CopyConstness<RootNodeT, NCLeafNodeT>::Type LeafNodeT

typedef boost::mpl::front<InvTreeT>::type NCLeafNodeT

typedef RootIterT::NonConstNodeType NCRootNodeT

typedef RootChildOnIterT RootIterT

typedef IterTraits<NCRootNodeT, RootIterT> RootIterTraits

typedef RootIterT::NodeType RootNodeT

## Constructor & Destructor Documentation

LeafIteratorBase | ( |  | ) |
| inline

LeafIteratorBase | ( | TreeT & | tree | ) |
| inline

LeafIteratorBase | ( | const LeafIteratorBase< TreeT, RootChildOnIterT > & | other | ) |
| inline

## Member Function Documentation

LeafNodeT* getLeaf | ( |  | ) | const
| inline

Return the leaf node to which the iterator is pointing.

TreeT* getTree | ( |  | ) | const
| inline

void increment | ( |  | ) |
| inline

Advance the iterator to the next leaf node.

void increment | ( | Index | n | ) |
| inline

Increment the iterator n times.

bool next | ( |  | ) |
| inline

Advance the iterator to the next leaf node.

operator bool | ( |  | ) | const
| inline

LeafNodeT& operator* | ( |  | ) | const
| inline

Return the leaf node to which the iterator is pointing.

LeafIteratorBase& operator++ | ( |  | ) |
| inline

Advance the iterator to the next leaf node.

LeafNodeT* operator-> | ( |  | ) | const
| inline

Return the leaf node to which the iterator is pointing.

LeafIteratorBase& operator= | ( | const LeafIteratorBase< TreeT, RootChildOnIterT > & | other | ) |
| inline

bool test | ( |  | ) | const
| inline

## Member Data Documentation

const Index LEAF_LEVEL = 0
| static

const Index LEAF_PARENT_LEVEL = LEAF_LEVEL + 1
| static

const Index ROOT_LEVEL = RootNodeT::LEVEL
| static

The documentation for this class was generated from the following file:

- TreeIterator.h